<?php

class TestController extends Zend_Controller_Action
{

	private function getForm() {
		$form = new Zend_Form();
		$form->setMethod('post');

		$jmeno = $form->createElement('text', 'jmeno', array('label' => 'Vaše jméno', 'required' => true))
			->addValidator('NotEmpty',true)->addErrorMessage('Jméno musí být vyplněno');

		$otazka1 = $form->createElement('text', 'otazka1', array('label' => 'Název kořenového elementu HTML'))
			->addValidator('regex', false, array('/^<[a-z]+>/'))->addErrorMessage('Element musí být uvnitř < >');

		$otazka2 = $form->createElement('text', 'otazka2', array('label' => 'IP adresa localhostu'));
		$otazka2->addPrefixPath('Validator','Validator/','validate'); 
		$otazka2->addValidator('Ip');

		$form->addElement($jmeno)->addElement($otazka1)->addElement($otazka2);
		
		$form->addElement('checkbox', 'http_binarni', array('label' => 'protokol HTTP je binarní'));
		$form->addElement('checkbox', 'http_textovy', array('label' => 'protokol HTTP je textový'));
		$form->addElement('checkbox', 'http_bezstavovy', array('label' => 'protokol HTTP je bezstavový'));
		$form->addElement('checkbox', 'http_sifrovany', array('label' => 'protokol HTTP je šifrovaný'));
		$form->addElement('checkbox', 'http_samoopravny', array('label' => 'protokol HTTP je samoopravný'));
		
		$form->addElement('submit', 'odeslat', array('label' => 'Odeslat odpovědi'));

		return $form;
	}

    public function init()
    {
        /* Initialize action controller here */
    }

    public function indexAction()
    {
        // action body
		$form = $this->getForm();
		$form->setAction('test/vyhodnot');
		//priradime do view ziskany formular
		$this->view->form = $form;
    }

    public function vyhodnotAction()
    {
		$request = $this->getRequest();

		if (!$request->isPost()) {
			return $this->_forward('index');
		}
		$form = $this->getForm();
		if (!$form->isValid($_POST)) {
			// Failed validation; redisplay form
			$this->view->form = $form;
			return $this->render('index');
		}

		$values = $form->getValues();
		
		$hodnoceni = array(
			'otazka1' => '<html>',
			'otazka2' => '127.0.0.1',
			'http_binarni' => 0,
			'http_textovy' => 1,
			'http_bezstavovy' => 1,
			'http_sifrovany' => 0,
			'http_samoopravny' => 0,
		);
		
		$body = 0;
		foreach($hodnoceni as $otazka => $spravne) {
			$vysledky[$otazka]['vase'] = $values[$otazka];
			$vysledky[$otazka]['spravne'] = $spravne;
			if($values[$otazka] == $spravne) {
				$body++;
			}
		}

		$this->view->jmeno = $values['jmeno'];
		$this->view->vysledky = $vysledky;
		$this->view->body = $body;
    }

}
